> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Update a group

`PUT /api/web/v1/groups/{id}`

Update the specified group. Caller requires the GROUPS:EDIT permission.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| id | path | Yes | string | The UUID of the group to update. |

## Request Body

Required.

### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "attribute": {
      "type": "string",
      "description": "The optional attribute of this group.  Specify an empty string to remove the existing value of the attribute."
    },
    "externalId": {
      "type": "string",
      "description": "The optional externalId of this group.  Specify an empty string to remove the existing value of the externalId."
    },
    "name": {
      "type": "string",
      "description": "The name of this group. This value is required when creating a group."
    }
  },
  "description": "Parameters including the name of the new group.",
  "title": "GroupParms"
}
```

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "required": [
    "name"
  ],
  "type": "object",
  "properties": {
    "attribute": {
      "type": "string",
      "description": "The attribute of this group."
    },
    "created": {
      "type": "string",
      "description": "When the group was created.",
      "format": "date-time",
      "example": "2019-02-19T13:15:27Z"
    },
    "directoryDesynced": {
      "type": "boolean",
      "description": "Whether the directory group is desynced. Desynced groups can be deleted.",
      "example": false
    },
    "externalId": {
      "type": "string",
      "description": "The externalId of this group."
    },
    "id": {
      "type": "string",
      "description": "The UUID of this group.  This value is generated when the group is created."
    },
    "lastModified": {
      "type": "string",
      "description": "When the group was last modified.",
      "format": "date-time",
      "example": "2019-02-19T13:15:27Z"
    },
    "name": {
      "type": "string",
      "description": "The name of this group."
    },
    "type": {
      "type": "string",
      "description": "The type of group indicating if this group was synchronized from a directory (LDAP_AD) or was created in Identity as a Service (MGMT_UI).",
      "example": "MGMT_UI",
      "enum": [
        "LDAP_AD",
        "MGMT_UI"
      ]
    }
  },
  "description": "Information returned about a group.",
  "title": "Group"
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "GROUPS:EDIT"
    ]
  }
]
```
